Subject: editorial fixes
From: Yakov Rekhter <[email-masked]>
To: [email-masked]
Date: Tue, 15 Jan 2002 15:11:29 -0800

Folks,

In the absence of any objections I will incorporate the
changes suggested below.

Yakov.
------- Forwarded Message

Date:    Wed, 15 Jan 2003 18:28:48 +0000
From:    "Tom Petch" <[email-masked]>
To:      "Yakov Rekhter" <[email-masked]>
cc:      <[email-masked]>
Subject: Re: bgp4-17 Section 9 

Combining NEXT_HOP resolution into one place (5.1.3) I
suggest

Revised 9.1.2 para 7

The local speaker MUST determine the immediate next-hop
address from the NEXT_HOP attribute of the selected route
(see section 5.1.3).
If either the immediate next hop or the IGP cost to the
NEXT_HOP (where the NEXT_HOP is resolved through an IGP
route) changes, Phase 2: Route Selection should be performed
again.

- ----------------------------

Revised 5.1.3

   The NEXT_HOP attribute is used by the BGP speaker to
determine the
   actual outbound interface and immediate next-hop address
that should
   be used to forward transit packets to the associated
destinations.

   The immediate next-hop address is determined by
performing a
   recursive route lookup operation for the IP address in
the NEXT_HOP
   attribute using the contents of the Routing Table,
- -----------revised text follows ------------
selecting one entry if multiple entries of equal cost exist.
The Routing Table entry which resolves the NEXT_HOP
attribute will always specify the outbound interface.
If the entry also specifies the next-hop address, this
address should be used as the immediate next-hop address for
packet forwarding.
If the entry specifies an attached subnet (and does not
specify a next-hop address), then the address in the
NEXT_HOP attribute should be used as the immediate next-hop
address.
- ------------end of revision----------

I (still) believe 'resolving route' is not at all clear,
hence my use of the form
'The Routing Table entry which resolves the NEXT_HOP
attribute ...'
But I am less hung up on whether we mention entry or use
path or drop 'Routing Table'.
I take the point about there being a limit as to how much
we can say about routing tables; I tend to regard RFC1812 as
the sine qua none.

Tom Petch, Network Consultant
[email-masked]

- -----Original Message-----
From: Yakov Rekhter <[email-masked]>
To: Tom Petch <[email-masked]>
Cc: [email-masked] <[email-masked]>
Date: 14 January 2002 20:15
Subject: Re: bgp4-17 Section 9

>>
>> 9.1.2 Route selection now allows for the best route in
>> Loc-RIB not to be placed in the Routing table; how does
this
>> impact on the principle (2 Introduction) that a BGP
Speaker
>> should only advertise routes it itself uses?  Is it
enough
>> for the route to be in Loc-RIB and not in the Routing
Table?
>>
>> I believe the paragraph on immediate next hop should
>> cross-reference the one in 5.1.3; and the latter allows
>> route lookup to resolve to a subnet and not an immediate
>> next hop address, a possibility 9.1.2 appears not to
cater
>> for.
>>
>> Perhaps the information on immediate next hop in 5.1.3
and 9
>> should be combined in one place; 5.1.3 would be my
>> preference.
>
>Please propose the specific changes.
>
>Yakov.

------- End of Forwarded Message